<template>
  <div class="block-content">
    <div class="status">
      <h3>Status:</h3>
      <div id="status-image">
        <div>
          <img v-if="delivery.status === 'processing'"
            src="../assets/delivery-packaging-box-gold.png" id="packaging" />
          <img v-else src="../assets/delivery-packaging-box.png" id="packaging" />
        </div>
        <div>
          <img v-if="delivery.status === 'processed'"
          src="../assets/storage-gold.png" id="in_storage" />
          <img v-else src="../assets/storage.png" id="in_storage" />
        </div>
        <div>
          <img v-if="delivery.status === 'in progress'"
           src="../assets/delivery-truck-gold.png" id="on_delivery" />
          <img v-else src="../assets/delivery-truck.png" id="on_delivery" />
        </div>
        <div>
          <img v-if="status()"
            src="../assets/package-delivery-in-hand-gold.png" id="delivered" />
          <img v-else src="../assets/package-delivery-in-hand.png" id="delivered" />
        </div>
      </div>
    </div>
    <div class="details">
      <h3>Delivery Details</h3>
      <div id="tab-wrapper">
        <table class="tab">
          <tr>
            <td>
              <div class="row">
                <label>Sent date:</label>
                <p>{{delivery.sentDate}}</p>
              </div>
            </td>
          </tr>
          <tr>
            <td>
              <div class="row">
                <label>Recipient data: </label>
                <p>
                  {{delivery.recName}} <br />
                  {{delivery.recLast}} <br />
                  {{delivery.recStreet}},
                  {{delivery.recZip}} <br />
                  {{delivery.recCity}}
                  <br/>
                </p>
              </div>
            </td>
          </tr>
          <tr>
            <td>
              <div class="row">
                <label>Sender data: </label>
                <p>
                  {{delivery.sendName}} <br />
                  {{delivery.sendLast}} <br />
                  {{delivery.sendStreet}},
                  {{delivery.sendZip}},
                  {{delivery.sendCity}}
                </p>
              </div>
            </td>
          </tr>
        </table>

        <div id="line"></div>
        <table class="tab">
          <tr>
            <td>
              <div class="row">
                <label>Post type: </label>
                <p>{{delivery.type}}</p>
              </div>
            </td>
          </tr>
          <tr>
            <td>
              <div class="row">
                <label>Delivery status: </label>
                <p>{{delivery.status}}</p>
              </div>
            </td>
          </tr>
          <tr>
            <td>
              <div id="double">
                <div class="row">
                  <label>Due amount: </label>
                  <p>{{delivery.dueAmount}}</p>
                </div>
                <div class="row">
                  <label>Payed: </label>
                  <p>{{delivery.isPayed}}</p>
                </div>
              </div>
            </td>
          </tr>
          <tr>
            <td>
              <div class="row">
                <label>Delivery notes:</label>
                <p>{{delivery.note}}<br /></p>
              </div>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  name: 'Details',
  test: false,
  props: {
    deliveryTrack: String,
  },
  data() {
    return {
      delivery: {},
    };
  },
  mounted() {
    axios.get(`http://localhost:4000/api/deliveries/details/${this.deliveryTrack}`).then(
      (result) => {
        this.delivery = result.data;
        console.log(this.delivery);
      },
    )
      .catch((err) => {
        console.log(err);
      });
  },
  methods: {
    status() {
      return (this.delivery.status === 'delivered' || this.delivery.status === 'rejected');
    },
  },
};
</script>

<style scoped>
@import "../CSS/DeliveryDetail.css";
</style>
